**H1

drop if nonbuveur_dum == 1 //drop non-drinkers
cd "/Users/apple/Desktop/Honors Thesis/Tables and Figures"
//Approach #1
//Main tables of percentages
table genr treat, statistic(mean choice1_dum) nformat(%9.2f)
table genr treat, statistic(mean choice2_dum) nformat(%9.2f)
table genr treat, statistic(mean choice3_dum) nformat(%9.2f)
table genr treat, statistic(mean choice4_dum) nformat(%9.2f)
//French red vs French amber
reg choice1_dum treat if genr == 1 //sig at the 10% level
reg choice1_dum treat if genr == 2 //not sig
reg choice1_dum treat if genr == 3 //sig at the 10% level
reg choice1_dum treat#i.genr //sig at the 10% level for genz, sig at 5% level for genx. use this one
outreg2 using "Reg Tables.txt",replace ctitle(Vin Rouge) title(Tableau 1 : L'Effet de l'amorçage sur le choix de boissons alcoolisées)
testparm treat#genr
//French white vs French blonde
reg choice2_dum treat#i.genr 
outreg2 using "Reg Tables.txt",append ctitle(Vin Blanc)
reg choice3_dum treat#i.genr
outreg2 using "Reg Tables.txt",append ctitle(Vin FR)
reg choice4_dum treat#i.genr
outreg2 using "Reg Tables.txt",append ctitle(Vin Bio)

//Approach #2
//corr with identity attachment
reg choice1_dum age
reg choice1_dum z_monid
reg choice1_dum age z_monid z_wineknow female treat
outreg2 using "Reg Tables H1_2.txt",replace ctitle(Colonne 1) title(Tableau 2 : La corrélation entre l'identité personnelle et le choix du vin rouge)
reg choice1_dum z_monid patrim
outreg2 using "Reg Tables H1_2.txt",append ctitle(Colonne 2)
reg choice1_dum z_monid age
reg choice1_dum z_monid wineknow
reg choice1_dum z_monid i.genr#i.framing wine_freq beer_freq female revenu  //p=0.01
outreg2 using "Reg Tables H1_2.txt",append ctitle(Colonne 3)

//Approach #3
//IV regression
reg monid appartgenr 
reg choice1_dum idindex
ivregress 2sls choice1_dum (monid = idindex)  //sig at the 10% level, p=0.059
outreg2 using "Reg Tables H1_3.txt",append


**H2
//Main tables of percentages
table genr framing, statistic(mean choice1_dum) nformat(%9.2f)
table genr framing, statistic(mean choice2_dum) nformat(%9.2f)
table genr framing, statistic(mean choice3_dum) nformat(%9.2f)
table genr framing, statistic(mean choice4_dum) nformat(%9.2f)

anova choice1_dum framing#genr //sig, p=0.0000
margins framing, asbalanced

anova choice2_dum framing#genr //sig, p=0.0002
margins framing, asbalanced
anova choice3_dum framing#genr //not sig
anova choice4_dum framing#genr //not sig


**H3 family size
reg choice1_dum monid adultes revenu genr if framing == 2
reg choice1_dum adultes age //no corr whatsoever with any sets of control

**H4 environmental concerns
reg choice4_dum z_envrperil 
outreg2 using "Reg Tables H4.txt",replace ctitle(Colonne 1) title(Tableau 3 : L'Attitude envers l'écologisme et le choix du vin bio)
reg choice4_dum z_envrperil z_age 
outreg2 using "Reg Tables H4.txt",append ctitle(Colonne 2)
reg choice4_dum z_envrperil z_age z_wineknow z_monid i.framing 
outreg2 using "Reg Tables H4.txt",append ctitle(Colonne 3)

//whether or not controlling for age, wine knowledge, identity, and framing, envrperil is always significant at 1% level

//corr age and envrperil
corr age envrperil
reg z_age z_envrperil //sig at 5%, young gen is more concerned with environment, may be helpful to wine industry to go organic


**H6 mechanisms of identity
reg monid france_dum france_pr_dum // birth country has no effect (neither self or parents)
reg monid rssociaux films paysnaiss_dum
reg monid rssociaux films habiterhors anglmenace genr //all sig
